
Index: console/src/main/org/jboss/console/I18n.java
===================================================================
--- console/src/main/org/jboss/console/I18n.java	(revision 0)
+++ console/src/main/org/jboss/console/I18n.java	(revision 0)
@@ -0,0 +1,31 @@
+/*
+ * JBoss, the OpenSource J2EE webOS
+ * 
+ * Distributable under LGPL license.
+ * See terms of license at gnu.org.
+ */
+package org.jboss.console;
+
+import java.text.MessageFormat;
+
+import org.jboss.varia.i18n.I18nUtil;
+
+/**
+ * Convenience class for accessing the web console's resource bundle.
+ * @author <a href="mailto:sflaniga@redhat.com">Sean Flanigan</a>
+ * @version $$Revision: $$
+ */
+public class I18n
+{
+   public static final String BUNDLE = "org.jboss.console.messages"; //$NON-NLS-1$
+   public static String gettext(String englishKey)
+   {
+      return I18nUtil.gettext(englishKey, BUNDLE);
+   }
+
+   public static String gettext(String englishKey, Object arg)
+   {
+      return MessageFormat.format(gettext(englishKey), arg);
+   }
+
+}

Index: console/src/main/org/jboss/console/plugins/JSR77Lister.java
===================================================================
--- console/src/main/org/jboss/console/plugins/JSR77Lister.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/JSR77Lister.java	(working copy)
@@ -29,6 +29,7 @@
 import javax.management.ObjectInstance;
 import javax.management.ObjectName;
 
+import org.jboss.console.I18n;
 import org.jboss.console.manager.interfaces.ManageableResource;
 import org.jboss.console.manager.interfaces.ResourceTreeNode;
 import org.jboss.console.manager.interfaces.TreeNode;
@@ -154,8 +155,8 @@
       {
          ObjectName objectName = new ObjectName(resources[i]);
          deployed[i] = createResourceNode (
-            objectName.getKeyProperty ("name"), // name
-            "J2EE Resource", // description
+            objectName.getKeyProperty ("name"), // name //$NON-NLS-1$
+            I18n.gettext("J2EE Resource"), // description //$NON-NLS-1$
             null, //"images/EspressoMaker.gif", // Icon URL
             null, // "J2EEApp.jsp?ObjectName=" + encode (objName.toString ()), // Default URL
             null,
@@ -167,9 +168,9 @@
       }
 
       return createTreeNode (
-         "J2EE Resources", // name
-         "J2EE Resources", // description
-         "images/spirale.gif", // Icon URL
+         I18n.gettext("J2EE Resources"), // name //$NON-NLS-1$
+         I18n.gettext("J2EE Resources"), // description //$NON-NLS-1$
+         "images/spirale.gif", // Icon URL //$NON-NLS-1$
          null, //"J2EEDomain.jsp&objectName=" + encode(objName.toString()), // Default URL
          null,
          null, // sub nodes
@@ -186,9 +187,9 @@
          //if (resources[i].getKeyProperty ("J2EEApplication") == null)
          {
             deployed.add(createResourceNode (
-               objectName.getKeyProperty("name"), // name
-               "", // description
-               "images/EspressoMaker.gif", // Icon URL
+               objectName.getKeyProperty("name"), // name //$NON-NLS-1$
+               "", // description //$NON-NLS-1$
+               "images/EspressoMaker.gif", // Icon URL //$NON-NLS-1$
                null, // "J2EEApp.jsp?ObjectName=" + encode (objName.toString ()), // Default URL
                null,
                null, // sub nodes
@@ -215,9 +216,9 @@
       ResourceTreeNode[] subResArray = createDeployedObjects (deployedON);
 
       return createResourceNode (
-         serv.getserverVendor () + " - " + serv.getserverVersion (), // name
-         objectName.getKeyProperty ("name"), // description
-         "images/database.gif", // Icon URL
+         serv.getserverVendor () + " - " + serv.getserverVersion (), // name //$NON-NLS-1$
+         objectName.getKeyProperty ("name"), // description //$NON-NLS-1$
+         "images/database.gif", // Icon URL //$NON-NLS-1$
          null, //"J2EEDomain.jsp?objectName=" + encode(objName.toString()), // Default URL
          null,
          new TreeNode[] {createSubResources (serv.getresources())}, // sub nodes
@@ -231,7 +232,7 @@
    ResourceTreeNode[] createServers(ObjectName domain) throws Exception
    {
       // will throw an exception if there is no such attribute
-      String[] serversObjectNames = (String[])getMBeanServer().getAttribute(domain, "servers");
+      String[] serversObjectNames = (String[])getMBeanServer().getAttribute(domain, "servers"); //$NON-NLS-1$
       
       ArrayList servers = new ArrayList();
       for (int i = 0; i < serversObjectNames.length; i++)
@@ -252,9 +253,9 @@
    TreeNode createDomain(ObjectName domain) throws Exception
    {
       return createTreeNode(
-         domain.getKeyProperty("name"), // name
-         "", // description
-         "images/spirale.gif", // Icon URL
+         domain.getKeyProperty("name"), // name //$NON-NLS-1$
+         "", // description //$NON-NLS-1$
+         "images/spirale.gif", // Icon URL //$NON-NLS-1$
          null, //"J2EEDomain.jsp&objectName=" + encode(objName.toString()), // Default URL
          null,
          null, // sub nodes
@@ -270,7 +271,7 @@
       // The potential list of domain starting points. According to the
       // spec we should be looking for *:j2eeType=J2EEDomain,* where
       // the value of the "name" attribute matches the domain name.
-      ObjectInstance[] insts = getMBeansForQuery("*:j2eeType=J2EEDomain,*", null);
+      ObjectInstance[] insts = getMBeansForQuery("*:j2eeType=J2EEDomain,*", null); //$NON-NLS-1$
       
       // Holds the domains that are succesfully created
       ArrayList domainsCreated = new ArrayList();
@@ -280,7 +281,7 @@
          ObjectName objectName = insts[i].getObjectName();
          try
          {
-            if (objectName.getDomain().equals(objectName.getKeyProperty("name")))
+            if (objectName.getDomain().equals(objectName.getKeyProperty("name"))) //$NON-NLS-1$
             {
                // value of "name" attribute matches the domain name, assume is ok
                domainsCreated.add(createDomain(objectName));
@@ -310,9 +311,9 @@
       try
       {
          return createTreeNode (
-               "J2EE Domains",  // name
-               "Display JSR-77 Managed Objects", // description
-               "images/elements32.gif", // Icon URL
+               I18n.gettext("J2EE Domains"),  // name //$NON-NLS-1$
+               I18n.gettext("Display JSR-77 Managed Objects"), // description //$NON-NLS-1$
+               "images/elements32.gif", // Icon URL //$NON-NLS-1$
                null, // Default URL
                null,
                createDomains (), // sub nodes
@@ -327,7 +328,7 @@
    }
 
    public final static String[] DEFAULT_SUFFIX_ORDER = {
-      "ear", "jar", "war", "sar", "rar", "ds.xml", "service.xml", "wsr", "zip"
+      "ear", "jar", "war", "sar", "rar", "ds.xml", "service.xml", "wsr", "zip"         //$NON-NLS-1$//$NON-NLS-2$//$NON-NLS-3$//$NON-NLS-4$//$NON-NLS-5$//$NON-NLS-6$//$NON-NLS-7$//$NON-NLS-8$//$NON-NLS-9$
    };
 
    public class ListerSorter implements Comparator
@@ -353,7 +354,7 @@
       public int getExtensionIndex (ResourceTreeNode node)
       {
          String name = node.getName();
-         if (name == null) name = "";
+         if (name == null) name = ""; //$NON-NLS-1$
 
          int i = 0;
          for (; i < suffixOrder.length; i++)
Index: console/src/main/org/jboss/console/plugins/helpers/AbstractPluginWrapper.java
===================================================================
--- console/src/main/org/jboss/console/plugins/helpers/AbstractPluginWrapper.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/helpers/AbstractPluginWrapper.java	(working copy)
@@ -21,6 +21,17 @@
   */
 package org.jboss.console.plugins.helpers;
 
+import java.util.HashMap;
+import java.util.Set;
+
+import javax.management.MBeanServer;
+import javax.management.MalformedObjectNameException;
+import javax.management.ObjectInstance;
+import javax.management.ObjectName;
+import javax.management.Query;
+import javax.management.QueryExp;
+import javax.servlet.ServletConfig;
+
 import org.jboss.console.manager.PluginManager;
 import org.jboss.console.manager.interfaces.ConsolePlugin;
 import org.jboss.console.manager.interfaces.ManageableResource;
@@ -39,16 +50,6 @@
 import org.jboss.mx.util.MBeanServerLocator;
 import org.jboss.system.Registry;
 
-import javax.management.MBeanServer;
-import javax.management.MalformedObjectNameException;
-import javax.management.ObjectInstance;
-import javax.management.ObjectName;
-import javax.management.Query;
-import javax.management.QueryExp;
-import javax.servlet.ServletConfig;
-import java.util.HashMap;
-import java.util.Set;
-
 /**
  * <description>
  *
@@ -69,12 +70,12 @@
 {
    // Constants -----------------------------------------------------
    
-   public static final String OBJECT_NAME_PARAM = "ObjectName";
-   public static final String FOLDER_NAME_PARAM = "FolderName";
-   public static final String MBEAN_CLASS_PARAM = "MBeanClass";
-   public static final String WRAPPER_CLASS_PARAM = "WrapperClass";
-   public static final String SCRIPT_NAME_PARAM = "ScriptName";
-   public static final String IS_ROOT_NODE_PARAM = "IsRootNode";
+   public static final String OBJECT_NAME_PARAM = "ObjectName"; //$NON-NLS-1$
+   public static final String FOLDER_NAME_PARAM = "FolderName"; //$NON-NLS-1$
+   public static final String MBEAN_CLASS_PARAM = "MBeanClass"; //$NON-NLS-1$
+   public static final String WRAPPER_CLASS_PARAM = "WrapperClass"; //$NON-NLS-1$
+   public static final String SCRIPT_NAME_PARAM = "ScriptName"; //$NON-NLS-1$
+   public static final String IS_ROOT_NODE_PARAM = "IsRootNode"; //$NON-NLS-1$
 
    // Attributes ----------------------------------------------------
    
@@ -124,16 +125,16 @@
 
    public void readConfigurationParameters (ServletConfig config)
    {      
-      this.pluginName = config.getInitParameter("PluginName");
-      this.pluginVersion = config.getInitParameter("PluginVersion");
+      this.pluginName = config.getInitParameter("PluginName"); //$NON-NLS-1$
+      this.pluginVersion = config.getInitParameter("PluginVersion"); //$NON-NLS-1$
       
       this.folderName = config.getInitParameter(FOLDER_NAME_PARAM);
       this.objectName = config.getInitParameter(OBJECT_NAME_PARAM);
       this.mbeanClass = config.getInitParameter(MBEAN_CLASS_PARAM);
-      this.rootContextName = config.getInitParameter("ContextName");      
+      this.rootContextName = config.getInitParameter("ContextName");     //$NON-NLS-1$  
 
       String tmp = this.objectName;
-      if (tmp != null && !"".equals(tmp))
+      if (tmp != null && !"".equals(tmp)) //$NON-NLS-1$
       {
          // this kind of plugin is associated with a single MBean
          // which has a give JMX ObjectName
@@ -142,7 +143,7 @@
       }
 
       tmp = this.folderName;
-      if (tmp != null && !"".equals(tmp))
+      if (tmp != null && !"".equals(tmp)) //$NON-NLS-1$
       {
          // this kind of plugins is associated with one of the static folder of the tree
          //
@@ -150,7 +151,7 @@
       }
       
       tmp = config.getInitParameter(IS_ROOT_NODE_PARAM);
-      if (tmp != null && !"".equals(tmp) && "true".equalsIgnoreCase(tmp))
+      if (tmp != null && !"".equals(tmp) && "true".equalsIgnoreCase(tmp)) //$NON-NLS-1$ //$NON-NLS-2$
       {
          // this kind of plugins is associated with the root of the tree
          //
@@ -158,7 +159,7 @@
       }
       
       tmp = this.mbeanClass;
-      if (tmp != null && !"".equals(tmp))
+      if (tmp != null && !"".equals(tmp)) //$NON-NLS-1$
       {
          // this kind of plugins is associated with all MBean
          // that share a given interface
@@ -175,6 +176,8 @@
       if (this.pluginName != null)
       {
          return this.pluginName + " (Wrapped by ServletPluginHelper)";
+		 // TODO this is an identifier.  Would int'lising it break something?
+//         return I18n.gettext("{0} (Wrapped by ServletPluginHelper)", this.pluginName); //$NON-NLS-1$
       }
       else
       {
@@ -278,18 +281,18 @@
       {
          return null;
       }         
-      else if (source.toLowerCase().startsWith("http://") || 
-          source.toLowerCase().startsWith("https://"))
+      else if (source.toLowerCase().startsWith("http://") ||  //$NON-NLS-1$
+          source.toLowerCase().startsWith("https://")) //$NON-NLS-1$
       {
          return source;
       }
-      else if (source.startsWith("/"))
+      else if (source.startsWith("/")) //$NON-NLS-1$
       {
          return source; // already absolute
       }
       else
       {
-         return this.rootContextName + "/" + source;
+         return this.rootContextName + "/" + source; //$NON-NLS-1$
       }
    }
 
@@ -326,7 +329,7 @@
    }
 
    protected SimpleTreeNode createTreeNode (String name,
-                                            String description,
+                                            String description, // shown as tooltip in tree
                                             String iconUrl,
                                             String defaultUrl,
                                             TreeNodeMenuEntry[] menuEntries,
Index: console/src/main/org/jboss/console/plugins/helpers/servlet/MBeanTag.java
===================================================================
--- console/src/main/org/jboss/console/plugins/helpers/servlet/MBeanTag.java	(revision 73826)
+++ console/src/main/org/jboss/console/plugins/helpers/servlet/MBeanTag.java	(working copy)
@@ -21,13 +21,13 @@
   */
 package org.jboss.console.plugins.helpers.servlet;
 
-import org.jboss.console.plugins.helpers.jmx.Server;
-import org.jboss.mx.util.MBeanProxy;
-
 import javax.management.ObjectName;
 import javax.servlet.jsp.JspTagException;
 import javax.servlet.jsp.tagext.TagSupport;
 
+import org.jboss.console.plugins.helpers.jmx.Server;
+import org.jboss.mx.util.MBeanProxy;
+
 /**
  * <description>
  *
@@ -92,7 +92,7 @@
       }
       catch (Exception e)
       {
-         throw new JspTagException (e.toString());
+         throw new JspTagException (e);
       }
    }
 
